﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using TelerikSpeechRecognitionSampleApp.Resources;

namespace TelerikSpeechRecognitionSampleApp
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(SlideView_Loaded);  
        }

        void SlideView_Loaded(object sender, RoutedEventArgs e)
        {
            string[] uris = new string[8];
            for (int i = 0; i < 8; i++)
            {
                uris[i] = "Images/transitionsNew-" + (i + 1) + ".png";
            }

            xSlideView.DataContext = uris;
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            Telerik.Windows.Controls.SpeechManager.StartListening();
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
            Telerik.Windows.Controls.SpeechManager.Reset();
            base.OnNavigatedFrom(e);
        }
    }
}